Last modified: 2011-03-13 18:06:21 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 26736 - Usefulness of using (start|end)sortkey in ApiQueryCategoryMembers
Usefulness of using (start|end)sortkey in ApiQueryCategoryMembers
Status: RESOLVED WONTFIX
Product: MediaWiki
Classification: Unclassified
API (Other open bugs)
unspecified
All All
: Lowest minor (vote)
: ---
Assigned To: Roan Kattouw
:
Depends on:
Blocks: 26611
  Show dependency treegraph
 
Reported: 2011-01-15 00:40 UTC by Sam Reed (reedy)
Modified: 2011-03-13 18:06 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Sam Reed (reedy) 2011-01-15 00:40:32 UTC
If the field is likely to be moving towards a binary field, this field becomes less useful.

I'm not sure replacing it with doing it on the more human readable sortkey_prefix...

Do we just deprecate and remove the parameters in 1.17 then?

Or leave it while it's semi useful..?
Comment 1 Roan Kattouw 2011-01-15 12:19:48 UTC
(In reply to comment #0)
> If the field is likely to be moving towards a binary field, this field becomes
> less useful.
> 
> I'm not sure replacing it with doing it on the more human readable
> sortkey_prefix...
> 
> Do we just deprecate and remove the parameters in 1.17 then?
> 
> Or leave it while it's semi useful..?

I think it's probably useful to expose both. It's not a big deal to include unused information (as long as there's a prop to suppress it, and there is in this case), and it may be useful for debugging collation issues.
Comment 2 Roan Kattouw 2011-01-15 12:20:27 UTC
Or wait, do you mean the *paging* on sortkeys? That should only be left in if there's an index for it.
Comment 3 Sam Reed (reedy) 2011-01-15 18:12:03 UTC
Yeah, I've left the sort key, and added the output of the sortkey prefix

I was meaning the paging, yeah. I suppose its still indexed, and still human readable, we might as allow the usage of starting sort key to filter on.

Just watching out for the sort key becoming more binary, at which point the human readable ones are useless, and hence the functionality is useless.

It is still in the main index, sooo....


WONTFIX for the moment?
Comment 4 Roan Kattouw 2011-01-19 18:10:33 UTC
(In reply to comment #3)
> WONTFIX for the moment?
Yes. cl_sortkey_prefix is not indexed, and I think such an index is unlikely to be added.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links